Package org.springframework.security.authentication

# Class DelegatingReactiveAuthenticationManager

java.lang.Object
org.springframework.security.authentication.DelegatingReactiveAuthenticationManager

All Implemented Interfaces:
  `ReactiveAuthenticationManager`

public class DelegatingReactiveAuthenticationManager extends Object implements ReactiveAuthenticationManager
A `ReactiveAuthenticationManager` that delegates to other `ReactiveAuthenticationManager` instances. When `continueOnError` is `true`, will continue until the first non-empty, non-error result; otherwise, will continue only until the first non-empty result.

Since:
  5.1

## Constructor Summary

Constructors
Constructor
Description
`DelegatingReactiveAuthenticationManager(List<ReactiveAuthenticationManager> entryPoints)`
`DelegatingReactiveAuthenticationManager(ReactiveAuthenticationManager... entryPoints)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Authentication>`
`authenticate(Authentication authentication)`
Attempts to authenticate the provided `Authentication`
`void`
`setContinueOnError(boolean continueOnError)`
Continue iterating when a delegate errors, defaults to `false`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegatingReactiveAuthenticationManager

public DelegatingReactiveAuthenticationManager(ReactiveAuthenticationManager... entryPoints)

### DelegatingReactiveAuthenticationManager

public DelegatingReactiveAuthenticationManager(List<ReactiveAuthenticationManager> entryPoints)

## Method Details

### authenticate

public reactor.core.publisher.Mono<Authentication> authenticate(Authentication authentication)
Description copied from interface: `ReactiveAuthenticationManager`
Attempts to authenticate the provided `Authentication`

Specified by:
  `authenticate` in interface `ReactiveAuthenticationManager`
Parameters:
  `authentication` - the `Authentication` to test
Returns:
  if authentication is successful an `Authentication` is returned. If authentication cannot be determined, an empty Mono is returned. If authentication fails, a Mono error is returned.

### setContinueOnError

public void setContinueOnError(boolean continueOnError)
Continue iterating when a delegate errors, defaults to `false`

Parameters:
  `continueOnError` - whether to continue when a delegate errors
Since:
  6.3